"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.functionTemplateContributorFactory = void 0;
const helloWorldProvider_1 = require("./providers/helloWorldProvider");
const functionTemplateContributorFactory = context => {
    return {
        contribute: request => {
            const selection = request.selection;
            switch (selection) {
                case 'hello-world': {
                    return helloWorldProvider_1.provideHelloWorld(request);
                }
                default: {
                    throw new Error(`Unknown template selection [${selection}]`);
                }
            }
        },
    };
};
exports.functionTemplateContributorFactory = functionTemplateContributorFactory;
//# sourceMappingURL=index.js.map